.wa-button {
    z-index: 30;
    flex-direction: column;
    align-items: flex-end;
    display: flex;
    position: fixed;
    top: auto;
    bottom: 30px;
    left: auto;
    right: 30px;
    color: #333;
    font-family: Arial, Helvetica Neue, Helvetica, sans-serif;
    font-size: 14px;
    line-height: 20px;
}

.chat-section {
    width: 100%;
    background-color: #e6ddd4;
    height: 50%;
    padding: 16px 20px;
    transition: opacity 0.3s ease, transform 0.3s ease;
}

.chat-block {
    background-color: #fff;
    border-radius: 8px;
    width: 75%;
    padding: 15px;
}

.chat-block.show-animation {
    opacity: 1;
    transform: translate3d(0px, 0px, 0px);
    transition: opacity 0.3s ease, transform 0.3s ease;
}

.chat-block.hide-animation {
    opacity: 0;
    transform: translate3d(50px, 0px, 0px);
    transition: opacity 0.3s ease, transform 0.3s ease;
}

.top-section {
    grid-column-gap: 5px;
    grid-row-gap: 5px;
    justify-content: flex-start;
    align-items: center;
    height: 25%;
    padding-left: 20px;
    padding-right: 20px;
    display: flex;
}

.live-icon-chat {
    margin-right: 0;
}

.live-chat-top-text {
    letter-spacing: 0;
    font-size: 12px;
    font-weight: 500;
    position: static;
    color: #000000;
}

.live-chat-top-text.block {
    color: #929292;
    margin-bottom: 12px;
}

.live-chat-link {
    border-radius: 0;
    justify-content: center;
    align-items: center;
    height: 25%;
    text-decoration: none;
    display: flex;
}

.live-chat-text {
    color: #fff;
}

.small-whatsapp-icon {
    margin-right: 10px;
}

.whatsapp-container {
    z-index: 30;
    cursor: pointer;
    background-color: #3cb841;
    border: 1px solid rgba(255, 255, 255, 0.3);
    border-radius: 100%;
    justify-content: center;
    align-items: center;
    width: 60px;
    height: 60px;
    transition: all 0.3s cubic-bezier(0.45, 0.182, 0.111, 0.989);
    display: flex;
    position: relative;
    top: auto;
    bottom: 0%;
    left: auto;
    right: 0%;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.2);
}

.whatsapp-container:hover {
    transform: scale(1.05);
}

.livechat-button {
    background-color: #3cb941;
    border-radius: 200px;
    justify-content: center;
    align-items: center;
    width: 80%;
    height: 42px;
    text-decoration: none;
    display: flex;
}

.whatsapp-chat {
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, 0.16);
    border-radius: 20px;
    flex-direction: column;
    width: 300px;
    height: 315px;
    margin-bottom: 16px;
    display: flex;
    overflow: hidden;
    box-shadow: 3px 3px 12px rgba(0, 0, 0, 0.2);
}

.whatsapp-chat.show {
    transform: translate3d(0px, 0px, 0px) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) skew(0deg, 0deg);
    opacity: 1;
    transform-style: preserve-3d;
    display: flex;
}

.whatsapp-chat.hidden {
    transform: translate3d(0px, 20px, 0px) scale3d(1, 1, 1) rotateX(0deg) rotateY(0deg) rotateZ(0deg) skew(0deg, 0deg);
    opacity: 0;
    transform-style: preserve-3d;
    display: none;
}